:root {
	--ff: "Open Sans", Arial, sans-serif;

	--clr-dark: #000000;
	--clr-light-dark: #4d4e53;
	--clr-white: #ffffff;
	--clr-gray: #f7f7f7;
	--clr-link: #0000ee;
}

*,
*::before,
*::after {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

body {
	min-width: 290px;
	font-family: var(--ff);
	color: var(--clr-light-dark);
	background-color: var(--clr-white);
	font-size: 1rem;
	line-height: 1.5;
}

#navbar {
	width: 300px;
	min-width: 290px;
	height: 100%;
	position: fixed;
	top: 0;
	left: 0;
	border-right: solid rgba(0, 22, 22, 0.4);
}

header {
	font-size: 1.8rem;
	font-weight: thin;
	color: var(--clr-dark);
	text-align: center;
	margin: 10px;
}

#main-doc header {
	text-align: left;
}

#navbar ul {
	height: 88%;
	padding: 0;
	overflow-y: auto;
	overflow-x: hidden;
}

#navbar li {
	list-style: none;
	border-top: 1px solid var(--clr-light-dark);
	width: 100%;
	position: relative;
}

#navbar li a {
	display: block;
	color: var(--clr-light-dark);
	text-decoration: none;
	padding: 10px 30px;
	cursor: pointer;
}

#main-doc {
	position: absolute;
	margin-left: 310px;
	padding: 1.2rem;
}

#main-doc section article {
	font-size: 0.96rem;
	margin: 15px;
}

#main-doc section li {
	margin: 15px 0 20px;
}

code {
	display: block;
	text-align: left;
	white-space: pre-line;
	position: relative;
	word-break: normal;
	word-wrap: normal;
	line-height: 2;
	background-color: #f7f7f7;
	padding: 15px;
	margin: 10px;
	border-radius: 5px;
}

/* MEDIA QUERIES */
@media (min-width: 320px) {
	#main-doc {
		min-width: 100%;
		padding: 1rem;
	}
}

@media only screen and (max-width: 815px) {
	#navbar ul {
		height: 210px;
		border: none;
	}
	#navbar {
		min-height: 275px;
		width: 100%;
		position: absolute;
		top: 0;
		margin: 0;
		padding: 0;
		border: none;
		z-index: 1;
	}
	#main-doc {
		width: 100%;
		position: relative;
		margin-top: 280px;
		margin-left: 0;
		border-top: 2px solid;
		padding: 1rem 2rem 0 0;
		padding: 1rem;
	}
}
